/*
** $PROJECT: midi.datatype
**
** $VER: makegst.c 40.0 (11.09.97)
**
** Collection of includes for creating global symbol tables.
*/


#include <string.h>

#include <exec/types.h>
#include <exec/ports.h>
#include <exec/memory.h>
#include <exec/lists.h>
#include <exec/semaphores.h>
#include <exec/execbase.h>
#include <dos/dos.h>
#include <dos/dostags.h>
#include <dos/dosextens.h>
#include <intuition/intuition.h>
#include <intuition/classes.h>
#include <intuition/classusr.h>
#include <intuition/cghooks.h>
#include <intuition/gadgetclass.h>
#include <intuition/imageclass.h>
#include <graphics/gfxbase.h>
#include <graphics/gfx.h>
#include <utility/tagitem.h>
#include <libraries/gadtools.h>
#include <datatypes/datatypes.h>
#include <datatypes/datatypesclass.h>
#include <datatypes/soundclass.h>

#include <clib/alib_protos.h>
#include <clib/alib_stdio_protos.h>
#include <proto/dos.h>
#include <proto/exec.h>
#include <proto/intuition.h>
#include <proto/iffparse.h>
#include <proto/graphics.h>
#include <proto/utility.h>
#include <proto/datatypes.h>
#include <proto/dtclass.h>

/* CAMD Library Includes */
#include <midi/camd.h>
#include <midi/camdbase.h>
#include <midi/mididefs.h>
#include <proto/camd.h>

/* RealTime Library Includes */
#include <libraries/realtime.h>
#include <proto/realtime.h>
